%define httpd_user apache
%define backup_dir /var/www/html/backup
%define debug_package %{nil}
%define python_local_prefix %{_prefix}/local

Summary: A web GUI for backing up configuration files and logs for op5 Monitor
Name: monitor-backup
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/monitor
License: op5 Software License
URL: https://www.itrsgroup.com
Prefix: /opt/monitor/op5/backup
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: tar
Requires: gzip
Requires: monitor
Requires: op5-monitor-supported-webserver
Requires: python3
BuildRequires: python3-devel

%package test
Summary: Tests for monitor-backup
Group: op5/monitor
Requires: monitor-backup = %version

%description
The OP5 Monitor backup tool allows for easy and basic backup by the
simple expedient of clicking a link.  Files are stored locally, and can
easily be downloaded to a remote location for integration with an already
deployed backup solution.

%description test
Integration tests for monitor-backup package.

%prep
%setup -q


%build
%{__make} CFLAGS=-DTAR_PATH='\"%{__tar}\"'

%check
%{__make} test

%install
%{__install} -D -m 644 backup-httpd.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/monitor-backup.conf
%{__install} -D backup %{buildroot}%{prefix}/backup
%{__install} -D restore %{buildroot}%{prefix}/restore
%{__install} -d %buildroot%backup_dir

# Install test tools to /usr/local, where Python will find them, but not
# conflicting with existing system packages.
%{__python3} -m pip install \
	--ignore-installed \
	--prefix %{python_local_prefix} \
	--root %{buildroot} \
	--strip-file-prefix %{buildroot} \
	--no-index \
	wheels/*.whl

%post
systemctl try-restart httpd.service || :

%files
%{prefix}
%dir %attr(750, %httpd_user, root) %backup_dir
%{_sysconfdir}/httpd/conf.d/monitor-backup.conf

%files test
%{python_local_prefix}/*

%clean
%{__rm} -rf %buildroot

%changelog
* Fri May  7 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Add subpackage 'test' with Python test tools for integration test.
* Mon Feb 22 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Remove EL6 and suse support.
* Thu May 03 2007 Peter Ostlin <peter@op5.se>
- Require httpd not apache to comply with centos
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se> 2.4.0-op5.1
- Updated to version 2.4.0
* Fri Oct 15 2004 Andreas Ericsson <ae@op5.se> 1.1-op5.1
- First real working RPM package.
